using System;
using System.Windows.Forms;
using ODX.Core;

namespace AddressBook
{
    public partial class ItemForm : Form, IEntityForm
    {
        private Entity obj;

        public ItemForm()
        {
            InitializeComponent();
        }

        public Entity Object
        {
            get { return obj; }
            set
            {
                obj = value;
                Item item = (Item)obj;
                txtEMail.Text = item.EMail;
                txtName.Text = item.Name;
            }
        }

        private void btnOK_Click(object sender, EventArgs e)
        {
            Item item = (Item) obj;
            item.EMail = txtEMail.Text;
            item.Name = txtName.Text;
        }
    }
}