using System.Data.Common;
using System.Data.SqlServerCe;

namespace ODX.Core.Mobile
{
    public class SqlCeProviderFactory : IProviderFactory
    {
        public DbConnection CreateConnection()
        {
            return new SqlCeConnection();
        }

        public DbDataAdapter CreateDataAdapter()
        {
            return new SqlCeDataAdapter();
        }

        public DbCommandBuilder CreateCommandBuilder()
        {
            return new SqlCeCommandBuilder();
        }
    }
}
